// Code scaffolded by goctl. Safe to edit.
// goctl 1.10.1

package copy_mission

import (
	"context"

	"haixun-backend/internal/svc"
	"haixun-backend/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type DeleteCopyMissionLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewDeleteCopyMissionLogic(ctx context.Context, svcCtx *svc.ServiceContext) *DeleteCopyMissionLogic {
	return &DeleteCopyMissionLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *DeleteCopyMissionLogic) DeleteCopyMission(req *types.CopyMissionPath) error {
	// todo: add your logic here and delete this line

	return nil
}
